#include  "local.h"

using namespace std;
using namespace Gascoigne;


int main(int argc, char** argv)
{

  ParamFile paramfile("gascoigne.param");
  if(argc>=2) {
    paramfile.SetName(argv[1]);
  }

  ProblemDescriptor LPD;
  LPD.BasicInit(paramfile);

  ProblemContainer PC;
  PC.AddProblem("Stokes", &LPD);

  // Functionals
  FunctionalContainer FC;
  
  StdLoop loop;
  loop.BasicInit(paramfile, &PC, &FC);
  loop.run("Stokes");

  return 0;
}
